# PetscFileRetrieve

Obtains a library from a URL or compressed and copies into local disk space as uncompressed.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscFileRetrieve(MPI_Comm comm,const char *libname,char *llibname,size_t llen,PetscTruth *found)

Collective on MPI_Comm

### Input Parameter

| comm | - processors accessing the library
| libname | - name of library, including entire URL (with or without .gz)
| llen | - length of llibname

### Output Parameter

| llibname | - name of local copy of library
| found | - if found and retrieved the file

Level:developer
Location: src/sys/fileio/fretrieve.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages